<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on March 6, 2007 at 3:26:03 am</time-stamp>


<methods>
<class-id>PROVISO.UBA.InputDescriptor</class-id> <category>initialize-release</category>

<body package="PVAdaptor-Schema" selector="canBePurgedAtSeconds:withRetentionDuration:forInputSources:">canBePurgedAtSeconds: seconds withRetentionDuration: retentionDuration forInputSources: inputSources
	"&lt;Boolean&gt; Answer whether or not the receiver is eligible to be purged for the given time and age limit for the given inputSources."

	"If the descriptor is younger than the given retention duration, then the answer is automatically false."
	(self ageDifference: seconds ifUnknown: [nil]) 
		ifNotNil: [ :ageDiff | (ageDiff &lt;= retentionDuration) ifTrue: [^false]].
	self alreadyProcessed ifTrue: [^true].
	"If the file tracked by the receiver is present (or assumed present) at any of the supplied inputSources, then the receiver can not be purged.  Under no circumstances to we delete the input descriptor of a file that is still present at the source."
	(inputSources anySatisfy: [ :ea | self isAssumedPresentAtSource: ea ]) ifTrue: [^false].

	^true</body>
</methods>

</st-source>
